Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.server
Interface ProviderManager

All Known Implementing Classes:
  ProviderManagerImpl

public interface ProviderManager

Provider Manager defines the interface to manage providers. The provider manager is used by the SOAP engine to deploy providers, undeploy providers, and access provider deployment information. The provider manager may cache deployment information and is responsible to maintain the cache.

The HTTP server provides security for the provider manager. The provider manager can be configured with a URL that requests must be made to in order for the request to be accepted. If a SOAP request for the provider manager is made to any other URL, the request will be rejected. This URL should be an alias to the SOAP servlet, and HTTP security can be set to control which users can post to the URL.

Method Summary
`void` | `deploy(ProviderDeploymentDescriptor pd)` Deploy the given provider.
`void` | `destroy()` Cleanup the provider manager.
`java.lang.String` | `getDefaultConfigManagerClassname()` Get the class name of the default configuration manager.
`java.lang.String` | `getRequiredRequestURI()` Get the URI that provider manager requests must be made to in order to be accepted.
`void` | `init(java.util.Properties options, javax.servlet.ServletContext context, ConfigManager configManager)` Initialize the provider manager.
`java.lang.String[]` | `list()` Get a list of provider ids for all providers that have been deployed.
`ProviderDeploymentDescriptor` | `query(java.lang.String providerId)` Get the deployment descriptor for the given provider.
`void` | `setServiceManager(ServiceManager serviceManager)` Make the service manager that is being used to manage service deployment information available to the provider manager.
`ProviderDeploymentDescriptor` | `undeploy(java.lang.String providerId)` Undeploy the given provider, and return its descriptor.

Method Detail

### getDefaultConfigManagerClassname

    public java.lang.String getDefaultConfigManagerClassname()

  Get the class name of the default configuration manager.
  Returns:
    The default configuration manager fully qualified class name.

### init

    public void init(java.util.Properties options,
                     javax.servlet.ServletContext context,
    ConfigManager configManager)
              throws SOAPException

  Initialize the provider manager.
  Parameters:
    `options` - The options required to setup access to the deployment information.
    `context` - The servlet context.
    `configManager` - The configuration manager for this provider manager.
  Throws:
    `SOAPException` - Unable to access the deployment information.

### destroy

    public void destroy()
                 throws SOAPException

  Cleanup the provider manager.
  Throws:
    `SOAPException` - Unable to cleanup the provider manager.

### setServiceManager

    public void setServiceManager(ServiceManager serviceManager)

  Make the service manager that is being used to manage service deployment information available to the provider manager. The provider manager may use the service manager to ensure that a provider is not undeployed as long as any services are deployed under that provider.

### getRequiredRequestURI

    public java.lang.String getRequiredRequestURI()

  Get the URI that provider manager requests must be made to in order to be accepted. Requests made to any other URI must be rejected.
  Returns:
    The request URI for provider manager requests, or `null` if any URI can be used.

### undeploy

    public ProviderDeploymentDescriptor undeploy(java.lang.String providerId)
                                          throws SOAPException

  Undeploy the given provider, and return its descriptor.
  Parameters:
    `providerId` - The id of the provider to undeploy.
  Returns:
    The descriptor containing the deployment information for the provider that has been undeployed.
  Throws:
    `SOAPException` - If the provider is not found or failed to undeploy.

### deploy

    public void deploy(ProviderDeploymentDescriptor pd)
                throws SOAPException

  Deploy the given provider.
  Parameters:
    `pd` - The provider descriptor for the provider to deploy.
  Throws:
    `SOAPException` - If unable to deploy.

### query

    public ProviderDeploymentDescriptor query(java.lang.String providerId)
                                       throws SOAPException

  Get the deployment descriptor for the given provider.
  Parameters:
    `providerId` - The id of the provider.
  Returns:
    The descriptor containing the deployment information for the given provider.
  Throws:
    `SOAPException` - If the provider is not found.

### list

    public java.lang.String[] list()
                            throws SOAPException

  Get a list of provider ids for all providers that have been deployed.
  Returns:
    An array of deployed provider ids.
  Throws:
    `SOAPException` - Unable to list provider ids.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.